package com.hai.enum_type;

import java.util.Objects;

/**
 * 登录平台
 * @className: LoginType
 * @author: HuRui
 * @date: 2022/10/20
 **/
public enum LoginPlatform {
    H5("H5", "H5客户端"),
    WXAPPLETS("WXAPPLETS", "微信小程序"),
    UNIONPAY("UNIONPAY", "云闪付"),
    HUIPAY("HUIPAY", "惠支付"),
            ;

    private String code;

    private String name;

    LoginPlatform(String code, String name) {
        this.code = code;
        this.name = name;
    }

    /**
     * 根据类型查询数据
     * @param code
     * @return
     */
    public static LoginPlatform getDataByType(String code) {
        for (LoginPlatform ele : values()) {
            if(Objects.equals(code,ele.getCode())) return ele;
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
